> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Company Onboarding Link

> Retrieve a link to Zeal's web-based company onboarding flow.

This endpoint returns a link to Zeal's web-based company onboarding flow, which collects required information such as legal business name, FEIN, legal business address, and bank account information.

<Note>
  This link expires exactly 7 days after generation.
</Note>


## OpenAPI

````yaml openapi/companies.json get /companies/onboard
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /companies/onboard:
    get:
      summary: Get Company Onboarding Link
      description: Get a link to Zeal's web-based company onboarding.
      operationId: get-company-onboarding-link
      parameters:
        - name: partnerID
          in: query
          description: PartnerID of the Zeal Partner
          required: true
          schema:
            type: string
        - name: base_url
          in: query
          description: >-
            The Base URL is the URL Zeal will redirect the employer to after
            completion of the company onboarding flow. You may include a custom
            Base URL in this field. Otherwise, by default, Zeal will use the
            Base URL found in the admin dashboard.
          schema:
            type: string
        - name: webhook_correlation_id
          in: query
          description: >-
            Provide your own ID, string, etc. to include in the webhook payload.
            Zeal will include this in the webhook we send you after the company
            onboards.
          schema:
            type: string
        - name: companyID
          in: query
          description: >-
            The company ID can be optionally passed to generate a link that will
            take your company to the current step, and not the first step, of
            the onboarding process.
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data: >-
                      https://payroll.your-domain.com/employeronboard/10983755744920193854758300657020834
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: string
                    example: >-
                      https://payroll.your-domain.com/employeronboard/10983755744920193854758300657020834
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: No Zeal Partner with this partner ID exists.
                        code: 7
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: No Zeal Partner with this partner ID exists.
                        code:
                          type: integer
                          example: 7
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````